# I18n

All uiv components use `en-US` as default language and they are both configurable.

## Example

```javascript
import Vue from 'vue'
import uiv from 'uiv'
import locale from 'uiv/src/locale/lang/zh-CN'

Vue.use(uiv, { locale })
```

You can also create custom wordings if not satisfied with the defaults, simply create your own `locale` object and replace with the one in example code.

## With `vue-i18n`

uiv is compatible with [vue-i18n](https://github.com/kazupon/vue-i18n) as well.

**Note**: You need to merge uiv language packs into your app's. For example:

```javascript
import uivLocale from 'uiv/src/locale/lang/zh-CN'

let appLocale = Object.assign({}, uivLocale, {
  // ...
})
```

## Supported languages

(Sorted by alphabet)

* **bg-BG**
* **cs-CZ**
* **de-DE**
* **en-US**
* **es-ES**
* **fi-FI**
* **fr-FR**
* **it-IT**
* **nb-NO**
* **nl-NL**
* **pt-BR**
* **ro-RO**
* **ru-RU**
* **sv-SE**
* **tr-TR**
* **zh-CN**

Welcome to contribute if your target language is not included: just add another language config [here](https://github.com/wxsms/uiv/blob/dev/src/locale/lang) and create a pull request.
